[ubuntu-mono] [Bug 402151] [NEW] Sync xsp 2.4.2-1 (universe) from Debian unstable (main).

directhex directhex at apebox.org
Tue Jul 21 11:22:00 BST 2009


Public bug reported:

Please sync xsp 2.4.2-1 (universe) from Debian unstable (main).

Changelog since current karmic version 2.0-2:

xsp (2.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + Refresh copyright years
  * debian/rules:
    + Implement reliable get-orig-source rule which repacks from bz2
    + Bump System.Web ABI version to 2.4
  * po/es.po:
    + Updated Spanish translation. (Closes: #525788)
  * debian/control:
    + Bump standards version to 3.8.2
    + Bump minimum Mono version to 2.4
    + Change build-dep on Nunit to 2.4 (Closes: #531927)
    + Depend on mono-devel for compilers - mono-mcs et al won't help (but
      add mono-1.0-devel for XSP1 support as well as mono-devel, as it's
      needed for /usr/bin/mcs to work)
    + Remove dependencies on net-tools, they haven't been relevant since
      1.0.5-1 (Closes: #535847)
  * debian/control,
    debian/dh_installxsp,
    debian/po/*,
    debian/mono-xsp.*,
    debian/mono-xsp1.*,
    debian/mono-fastcgi-server.*,
    debian/mono-fastcgi-server1.*,
    debian/mono-apache-server.*,
    debian/mono-apache-server1.*:
    + Move all references of "xsp" to "xsp1", in order to free up
      "xsp" for an unversioned link to the latest version (i.e. xsp2)
  * debian/mono-apache-server.links,
    debian/mono-xsp.links,
    debian/mono-fastcgi-server.links,
    debian/control
    + Create new metapackages pointing to the default versions of
      packages with versioned commands, including man pages
    + Conflict with older versions of the packages, since "old" xsp
      packages are renamed to xsp1.
  * debian/control,
    debian/rules:
    + Remove dpatch
  * debian/rules:
    + Delete all compiled files in clean rule, to be sure build can happen
      twice in a row
  * debian/control,
    debian/dh_installxsp:
    + Rename cli:XspServer to cli:XspServer1. The impact is low, and the
      workarounds to keep the old name are messy    
  * debian/po/si.po:
    + Rename to sl.po - Apparently .si domains need a sl.po file. Go
      figure. (Closes: #516314)

 -- Jo Shields <directhex at apebox.org>  Mon, 13 Jul 2009 01:11:52 +0100

** Affects: xsp (Ubuntu)
     Importance: Wishlist
         Status: Confirmed

** Changed in: xsp (Ubuntu)
   Importance: Undecided => Wishlist

** Changed in: xsp (Ubuntu)
       Status: New => Confirmed

-- 
Sync xsp 2.4.2-1 (universe) from Debian unstable (main).
https://bugs.launchpad.net/bugs/402151
You received this bug notification because you are a member of MOTU Mono
Team, which is subscribed to xsp in ubuntu.



More information about the Ubuntu-mono mailing list